﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="SimpleUpload.aspx.cs" Inherits="EAFUpload.SimpleUpload" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title>Multiple files upload.</title>
    <link rel="stylesheet" href="style.css" />
</head>
<body>
<p>
This example demonstrates how to upload multiple files to the server.
</p>
<div style="border: 1px solid #000000; padding: 10px;">
<b>Note:</b> Trial version has two limitiations: maximum files count is 10 and size of each file cannot be larger than 50 MB.
</div>

<br /><br />

<div id="EAFlashUpload_holder">
You need at least Adobe Flash Player 10 for successful work. Download the latest version from here:
<br />
<a href="http://www.adobe.com/support/flashplayer/downloads.html">Adobe Flash Player</a>
</div>

<!-- Embedding the EAFlashUpload control -->
<script type="text/javascript" src="EAFUpload/swfobject.js"></script>
<script type="text/javascript">
	var params = {  
		BGcolor: "#ffffff",
		wmode: "window"
	};
	
	// id and name attribute may contain any value. 
	// You need to use specified below identifier to access to the EAFlashUpload methods and properties.
	var attributes = {  
		id: "EAFlashUpload",  
		name: "EAFlashUpload"								
	};
	
	var flashvars = new Object();	
	
	// In IE and non-IE browsers Flash resolve relative path differently if page with EAFlashUpload is placed in a different directory than swf files. 
	// If you place EAFlashUpload files and container page in the same directory then the problem doesn't appear.
	// Below code detects non-IE browsers and changes url of upload script.
	var uploadUrl = "simpleupload.aspx"; //Note: & symbol should be encoded to %26 for query string values. Ex: http://www.somesite.com/uploader.aspx?field1=value1%26field2=value2
	if (!document.all) {
	    uploadUrl = "../" + uploadUrl;
	}
	flashvars["uploader.uploadUrl"] = uploadUrl;	
    flashvars["viewFile"] = "EAFUpload/TableView.swf";

	swfobject.embedSWF("EAFUpload/EAFUpload.swf", "EAFlashUpload_holder", "450", "350", "10.0.0", "EAFUpload/expressInstall.swf", flashvars, params, attributes);	
	
	// Handles EAFlashUpload's onMovieLoad event and displays existing loading errors.
	function EAFlashUpload_onMovieLoad(errors)
	{		
		if(errors != "")
			alert(errors);	
	}
</script>

<br />
<hr />
<div style="padding: 10px; font-weight: bold;">
Note: If you have questions regarding this example please let us know <a href="mailto:support%40easyalgo.com?Subject=SimpleUpload">support@easyalgo.com</a>. Any assistance is provided for free.
</div>
<a href="default.aspx">Other examples</a>				

</body>
</html>
