﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace EAFUpload
{
    public partial class SuccessRedirectPage : System.Web.UI.Page
    {
        List<UploadedFile> ufList = new List<UploadedFile>();
        
        protected void Page_Load(object sender, EventArgs e)
        {
            for (int i = 0; i < Convert.ToInt32(Request.Form["UploadedFilesCount"]); i++ )
            {
                UploadedFile file = new UploadedFile();
                file.Name = Request.Form["file" + i + "_name"];
                file.Key = Request.Form["file" + i + "_key"];
                file.Size = Convert.ToInt32(Request.Form["file" + i + "_size"]);
                file.DownloadLink = Request.Form["file" + i + "_downloadLink"];

                ufList.Add(file);
            }

            Repeater1.DataSource = ufList;
            Repeater1.DataBind();
        }

    }

    public class UploadedFile
    {
        public UploadedFile() { }
        public string Name { get; set; }
        public string Key { get; set; }
        public int Size { get; set; }
        public string DownloadLink { get; set; }
    }
}
