<?PHP
if(isset($_SERVER['REQUEST_METHOD']) && strtolower($_SERVER['REQUEST_METHOD']) == 'post' && !empty($_POST))
{	
	//restore session code begin. if you don't use session or cookie just ignor below code section.
	if( isset($_POST['browser_cookie']) && $_POST['browser_cookie'] != "")
	{
		//retrive cookie from form field value. The EAFlashUpload sends the cookie as a value of form field due to Flash API limitations.
		$cookie = split(";", $_POST['browser_cookie']);
		
		foreach($cookie as $value)
		{
			$nvpair = split("=", $value);	
			$parsedcookie[trim($nvpair[0])] = $nvpair[1];
		}
		$_COOKIE = $parsedcookie;
		
		session_start();	
	}
	//restore session code end
	
	//!!! If you don't use session then delete above code. !!!//
	
	//check file existence in the request
	if ( !empty($_FILES) )
	{
		//existing folder on the server for files storing with write access
		$uploaddir = dirname($_SERVER['SCRIPT_FILENAME'])."/UploadedFiles/";
		
		// define encoding for path names
		$codepage = "ISO-8859-1";
			
		$file = $_FILES["Filedata"];
		
		//check on upload errors
		if ( $file['error'] != UPLOAD_ERR_OK )
		{
			switch( $file['error'] )
			{
				case UPLOAD_ERR_INI_SIZE:
					echo "<eaferror>The uploaded file exceeds the upload_max_filesize directive in php.ini.</eaferror>";
					break;
				case UPLOAD_ERR_FORM_SIZE:
					echo "<eaferror>Uploader didn't allow such file size</eaferror>";
					break;
				case UPLOAD_ERR_PARTIAL:
					echo "<eaferror>Uploaded file hasn't been complete uploaded</eaferror>";
					break;
				case UPLOAD_ERR_NO_FILE:
					echo "<eaferror>File hasn't been uploaded</eaferror>";
					break;
			}
			
			return;
		}
		
		//Use this code if the existing files might be rewritten.
		//$uploadfile = $uploaddir . mb_convert_encoding( basename($file['name']), $codepage , 'UTF-8' );
	
		//define a full file path
		if (extension_loaded('mbstring'))
			$fileName = $uploaddir . mb_convert_encoding( basename($file['name']), $codepage , 'UTF-8' );
		else if (extension_loaded('iconv'))
			$fileName = $uploaddir . iconv("UTF-8", $codepage, basename($file['name']));
		else
		{
			echo "<eaferror>Please enable mbstring extension or iconv extension in your php.ini file.</eaferror>";	
		}
		
		// check on duplicate file names and if there is a file with the same name add "_(<counter>)" at the end of the name of the new file
		$uniqueFileName = $fileName;
		for($k = 1; $k < 50; $k++)
		{
			if(!file_exists($uniqueFileName))
			{
				break;
			}
			else
			{
				$pathInfo = pathinfo($fileName);
				$uniqueFileName = sprintf("%s/%s_(%s).%s", $pathInfo['dirname'], $pathInfo['filename'], $k, $pathInfo['extension']);
			}
	
		}
		
		//move uploaded file from temp location		
		if ( move_uploaded_file( $file['tmp_name'], $uniqueFileName ) )
		{
			echo "Upload was successful";
		}
		else
		{
			echo "<eaferror>Can't move file from temporary directory to destination. Please check read/write permissions of destination folder: $uploaddir.</eaferror>";
		}
		
	}
	else
	{
		echo "<eaferror>Request didn't contain the file. Usually this situation occures if request size exceeds the post_max_size directive in php.ini.</eaferror>";
	}
	
	exit;
}
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>Choose among different view and change parameters dynamically.</title>
<link rel="stylesheet" href="style.css" />
<script type="text/javascript">		
	// Handles EAFlashUpload's onMovieLoad event and displays existing loading errors.
	function flashTable_onMovieLoad(errors)
	{		
		if(errors != "")
			alert(errors);
	}
	
	function flashShort_onMovieLoad(errors)
	{		
		if(errors != "")
			alert(errors);
	}
	
	function flashList_onMovieLoad(errors)
	{		
		if(errors != "")
			alert(errors);
	}
	
	function setGeometry(selectObj)
	{
		var elipseSize = selectObj.options[selectObj.selectedIndex].value;
		
		try
		{	
			flashTable.setProperty("view.buttonsStyle.roundUp", elipseSize);
			flashShort.setProperty("view.buttonsStyle.roundUp", elipseSize);
			flashList.setProperty("view.buttonsStyle.roundUp", elipseSize);
		}
		catch(ex)
		{ alert(ex.message); }
		
	}
	
	function setBackground()
	{
		var bgColor = document.forms[0].elements["background"].value;
		
		try
		{		
			flashTable.setProperty("view.backgroundColor", bgColor);
			flashShort.setProperty("view.backgroundColor", bgColor);
			flashList.setProperty("view.backgroundColor", bgColor);
		}
		catch(ex)
		{ alert(ex.message); }
	}
</script>

</head>
<body>
<p>
This example demonstrates customization possibility and available user interfaces. You can change properties of elements at the runtime. In fact, each element can be configured to unique style.
</p>
<p>See also <a target="_blank" href="http://www.easyalgo.com/examples/gui/chooseview.aspx" >Online customization tool</a></p>
<div style="border: 1px solid #000000; padding: 10px;">
<b>Note:</b> Trial version has two limitiations: maximum files count is 10 and size of each file cannot be larger than 50 MB.
</div>

<br /><br />

<form name="Form1" >
<table>
	<tr>
		<td>
			<div id="Short_holder">
            	You need at least Adobe Flash Player 10 for successful work. Download the latest version from here:
                <br />
                <a href="http://www.adobe.com/support/flashplayer/downloads.html">Adobe Flash Player</a>
			</div>
            <br /><br />            
		</td>
		<td style="padding-left: 20px; vertical-align: top;">
			<div style="display: inline;">
                Button geometry:<br />
                <select name="munu" style="width: 100px;" onChange="setGeometry(this);">
                  <option value="3">Rectangle</option>
                  <option value="90">Elipse</option>
                </select>
            </div>
            <br /><br />
            <div style="display: inline;">
                Background color (ex: #ff0000, for gradient: #ff0000|#ffffff):<br />
                <input type="text" name="background" value="" />&nbsp;&nbsp;
                <input type="button" name="backgroundButton" onClick="setBackground();" value="Set" />
            </div>
            <br /><br />
		</td>
	</tr>
    <tr>
        <td>
            <div id="List_holder">
                You need at least Adobe Flash Player 10 for successful work. Download the latest version from here:
                <br />
                <a href="http://www.adobe.com/support/flashplayer/downloads.html">Adobe Flash Player</a>
            </div>                        
        </td>
        <td>
            <div id="Table_holder">
                You need at least Adobe Flash Player 10 for successful work. Download the latest version from here:
                <br />
                <a href="http://www.adobe.com/support/flashplayer/downloads.html">Adobe Flash Player</a>
            </div>
        </td>
    </tr>
</table>
</form>	

<!-- Embedding the EAFlashUpload control -->
<script type="text/javascript" src="EAFUpload/swfobject.js"></script>
<script type="text/javascript">
	var paramsTable = {  
		BGcolor: "#ffffff",
		wmode: "window"
	};
	
	var paramsShort = {  
		BGcolor: "#ffffff",
		wmode: "window"
	};
	
	var paramsList = {  
		BGcolor: "#ffffff",
		wmode: "window"
	};
	
	// id and name attribute may contain any value. 
	// You need to use specified below identifier to access to the EAFlashUpload methods and properties.
	var attTable = {  
		id: "flashTable",  
		name: "flashTable"								
	};
	
	var attShort = {  
		id: "flashShort",  
		name: "flashShort"								
	};
	
	var attList = {  
		id: "flashList",  
		name: "flashList"								
	};
	
	// define property for each view
	var fvTable = new Object();

	// In IE and non-IE browsers Flash resolve relative path differently if page with EAFlashUpload is placed in a different directory than swf files. 
	// If you place EAFlashUpload files and container page in the same directory then the problem doesn't appear.
	// Below code detects non-IE browsers and changes url of upload script.
	var uploadUrl = "switchamongview.php"; //Note: & symbol should be encoded to %26 for query string values. Ex: http://www.somesite.com/uploader.aspx?field1=value1%26field2=value2
	if (!document.all) {
	    uploadUrl = "../" + uploadUrl;
	}
	
	fvTable["uploader.uploadUrl"] = uploadUrl;
	fvTable["viewFile"] = "EAFUpload/TableView.swf";
	
	var fvShort = new Object();
	fvShort["uploader.uploadUrl"] = uploadUrl;
	fvShort["viewFile"] = "EAFUpload/ShortView.swf";
	
	var fvList = new Object();
	fvList["uploader.uploadUrl"] = uploadUrl;
	fvList["viewFile"] = "EAFUpload/ListView.swf";


	swfobject.embedSWF("EAFUpload/EAFUpload.swf", "Table_holder", "450", "350", "10.0.0", "EAFUpload/expressInstall.swf", fvTable, paramsTable, attTable);
	swfobject.embedSWF("EAFUpload/EAFUpload.swf", "Short_holder", "400", "65", "10.0.0", "EAFUpload/expressInstall.swf", fvShort, paramsShort, attShort);
	swfobject.embedSWF("EAFUpload/EAFUpload.swf", "List_holder", "400", "350", "10.0.0", "EAFUpload/expressInstall.swf", fvList, paramsList, attList);
	
</script>
			
<br />
<hr />
<div style="padding: 10px; font-weight: bold;">
Note: If you have questions regarding this example please let us know <a href="mailto:support%40easyalgo.com?Subject=SwitchAmongViewPHP">support@easyalgo.com</a>. Any assistance is provided for free.
</div>
<a href="index.php">Other examples</a>
</body>
</html>