﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="EAFUpload._Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<title>EAFlashUpload examples package</title>
		<link rel="stylesheet" href="style.css" />       
	</head>
	<body>
			<h3>EAFlashUpload v 2.6 examples.</h3>
			<p>This package includes various examples which demonstrate how to use <b>EAFlashUpload</b>
				component to upload multiple files to the web server.
                
                <div style="border: 1px solid #000000; padding: 10px;">
                    <b>Before running this examples</b> make sure that "UploadFolder" 
                    has read/write permission for ASP.NET process identity(on IIS6: NETWORK_SERVICE, on IIS7: IIS_IUSRS).
                    If you run this examples with enabled impersionation then set write permission for current identity.

                    <br /><br />

                    <b>Note:</b> Trial version has two limitiations: maximum files count is 10 and size of each file cannot be larger than 50 MB.
                </div>             
            </p>
			
			<h3>Basic examples:</h3>
            <table class="DefaultTable">
				<tr>
					<td><a href="SimpleUpload.aspx">Simple upload</a></td>
					<td>
						Demonstrates how to upload multiple files to the web server.
					</td>
				</tr>
				<tr>
					<td><a href="UploadToAmazon.aspx">UploadToAmazon</a></td>
					<td>
						Demonstrates how to upload multiple files to the <b>Amazon S3</b> service.
					</td>
				</tr>
				<tr>
					<td><a href="UploadDescription.aspx">Add files description and parse form values</a></td>
					<td>Demonstrates how to add and send specific description for each file.</td>
				</tr>
                <tr>
					<td><a href="UploadWithCustomColumns.aspx">Create a custom view for files list.</a></td>
					<td>Demonstrates how to add custom columns to the files list and include custom form elements(checkbox, radio button) to cells.</td>
				</tr>
				<tr>
					<td><a href="CollapsiblePanel.aspx">Uploader inside collapsible panel</a></td>
					<td>
						Demonstrates how to place EAFlashUpload into collapsible panel.
					</td>
				</tr>				
				<tr>
					<td><a href="SwitchAmongView.aspx">Change properties at the runtime</a></td>
					<td>
						Displays available user interfaces. Demonstrates how to change properties of EAFlashUpload at the runtime.
					</td>
				</tr>								
			</table>
			
			<br />
			<hr />
            <h3>
                <a target="_blank" href="http://www.easyalgo.com/examples/gui/chooseview.aspx" >Online customization tool</a> - 
                Online tool for creating advanced GUI style.
            </h3>
            <hr />
            <br />
           	
            <h3>Images processing examples:</h3> 
            <table class="DefaultTable">
                <tr>
                        <td><a href="ImagesUpload.aspx">Upload multiple images and thumbnails creation</a></td>
                        <td>Demonstrates how to upload multiple images to the web server. Generate and display thumbnails of uploaded images.</td>
                </tr>
                <tr>
                        <td><a href="SimpleImageGallery.aspx">Simplest image gallery example</a></td>
                        <td>Demonstrates how to upload multiple image files to the server and organize them as simple gallery.</td>
                </tr>
                <tr>
                        <td><a href="ImagesUploadWithPreview.aspx">Multiple images upload with preview them on client-side.</a></td>
                        <td>Demonstrates how to upload multiple images to the web server. The preview thumnails are generated for each image.</td>
                </tr>
                <tr>
                        <td><a href="ResizedImagesUpload.aspx">Upload multiple images with resizing on the client-side</a></td>
                        <td>Demonstrates how to resize multiple images on the client-side and uploading them to the server.</td>
                </tr>
            </table>
            
            <br />
			<p style="font-weight:bold;">
                If you have some implementation complexity of this examples or you have a question regarding functionality of the EAFlashUpload, please do not hesitate to contact us by <a href="mailto:support@easyalgo.com">support@easyalgo.com</a>.<br /> 
                We are always ready to help.
            </p>
            		
	</body>
</html>
