﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using System.IO;

namespace EAFUpload
{
    public partial class ResizedImagesUpload : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (Request.RequestType == "POST" && Request.ContentType.IndexOf("multipart/form-data") != -1)
            {
                Response.ClearContent();

                string ImageFolder = Server.MapPath("") + "\\UploadedFiles\\";
                string ThumbRelPath = Request.CurrentExecutionFilePath.Replace(Path.GetFileName(Request.CurrentExecutionFilePath), "");

                if (Request.Files != null && Request.Files.Count > 0)
                {
                    try
                    {

                        HttpPostedFile uploadedFile = Request.Files[0];
                        if (uploadedFile != null && uploadedFile.FileName != "")
                        {
                            uploadedFile.SaveAs(ImageFolder + System.IO.Path.GetFileName(uploadedFile.FileName));

                            Response.Write(String.Format("thumbUrl={0}UploadedFiles/{1}", ThumbRelPath, System.IO.Path.GetFileName(uploadedFile.FileName)));

                        }

                    }
                    catch (Exception ex)
                    {
                        Response.Write(String.Format("<eaferror>An error occured during file handling: {0}</eaferror>", ex.Message));
                    }
                }
                else
                {
                    Response.Write("<eaferror>The images have not been sent.</eaferror>");
                }

                Response.End();

            }
        }
    }
}
